﻿@{
    ViewBag.Title = "Patient";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Patient Registration Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">
                    <div class="form-group">
                        <label for="inputName" class="col-sm-2 control-label">Name</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="inputName" placeholder="Enter ...">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputAge" class="col-sm-2 control-label">Age</label>

                        <div class="col-sm-10">
                            <input type="number" class="form-control" id="inputAge" placeholder="Enter ...">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputPhoneNumber" class="col-sm-2 control-label">Phone No</label>

                        <div class="col-sm-10">
                            <input type="tel" class="form-control" id="InputPhoneNumber" placeholder="Enter ...">
                        </div>
                    </div>
                   
                    <div class="form-group">
                        <label for="InputAddres" class="col-sm-2 control-label">Address</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="InputAddres" placeholder="Enter ...">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="InputCity" class="col-sm-2 control-label">City</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="InputCity" placeholder="Enter ...">
                        </div>
                    </div>
                
                    <!-- radio -->
                    <div class="form-group">
                        <label for="InputAdmission" class="col-sm-2 control-label">Gender</label>
                        <div class="col-sm-10">
                            <div class="radio">
                                <label>
                                    <input type="radio" name="optionsRadios" id="optionsRadios1" value="Male" checked="">
                                   Male
                                </label>
                            </div>
                            <div class="radio">
                                <label>
                                    <input type="radio" name="optionsRadios" id="optionsRadios2" value="Female">
                                    Female
                                </label>
                            </div>
                        </div>
                    </div>
                    <!-- select -->
                    <div class="form-group">
                        <label for="InputdocID" class="col-sm-2 control-label">Select Doctor No</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputdocID">
                               

                            </select>
                        </div>
                    </div>

                    <!-- radio -->
                    <div class="form-group">
                        <label for="InputAdmission" class="col-sm-2 control-label">Pleasae Select Type</label>
                        <div class="col-sm-10">
                            <div class="radio">
                                <label>
                                    <input type="radio" name="opt" id="optionsRadios1" value="1" checked="">
                                    In Patient
                                </label>
                            </div>
                            <div class="radio">
                                <label>
                                    <input type="radio" name="opt" id="optionsRadios2" value="0">
                                    Out Patient
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddPatientData()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>


<script>
    function AddPatientData() {
        debugger;
        var Name = $('#inputName').val();
        var Age = $('#inputAge').val();
        var PhoneNumber = $('#InputPhoneNumber').val();
        var Addres = $('#InputAddres').val();
        var City = $('#InputCity').val();
        var Gender = $("input[name='optionsRadios']:checked").val();
        var docID = $('#InputdocID :selected').attr('id');

        var Type = $("input[name='opt']:checked").val();
       
        $.ajax({
            url: '@Url.Action("AddPatient", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ Name: Name, Age: Age, PhoneNumber: PhoneNumber, Addres: Addres, City: City, Gender: Gender, docID: docID, Type:Type }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    if (Type == 1)
                    {
                        window.location.href = '/AHMS/InPatient';
                    }
                    else
                    {
                        window.location.href = '/AHMS/OutPatient';
                    }
                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>



<!--pop up the dropdowns-->
<script>
    $(document).ready(function () {
       // alert("asd");
        $.ajax({
            url: '@Url.Action("GetAllDoctorsData", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list  = data.message;

                    for (i = 0; i < list.length; i++) {
                        $('#InputdocID').append('<option id=' + list[i].docno + ' value=' + list[i].docname + ' >' + list[i].docname + '  </option>');
                    }


                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>
